commit:     8cd070d6be079ede23467b8d37e59210ac31714f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 26 14:31:53 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 26 14:36:59 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8cd070d6

dev-python/sqlalchemy: Disable optional dep on greenlet

Closes: https://bugs.gentoo.org/778305
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sqlalchemy/sqlalchemy-1.4.0.ebuild                      | 7 +++++++
 dev-python/sqlalchemy/sqlalchemy-1.4.1.ebuild                      | 7 +++++++
 dev-python/sqlalchemy/sqlalchemy-1.4.2.ebuild                      | 7 +++++++
 .../{sqlalchemy-1.4.3.ebuild => sqlalchemy-1.4.3-r1.ebuild}        | 7 +++++++
 4 files changed, 28 insertions(+)

diff --git a/dev-python/sqlalchemy/sqlalchemy-1.4.0.ebuild 
b/dev-python/sqlalchemy/sqlalchemy-1.4.0.ebuild
index 2c82efecc27..ff4b6464793 100644
--- a/dev-python/sqlalchemy/sqlalchemy-1.4.0.ebuild
+++ b/dev-python/sqlalchemy/sqlalchemy-1.4.0.ebuild
@@ -36,6 +36,13 @@ BDEPEND="
 
 distutils_enable_tests pytest
 
+src_prepare() {
+       # remove optional/partial dep on greenlet, greenlet is not very portable
+       sed -i -e '/greenlet/d' setup.cfg || die
+
+       distutils-r1_src_prepare
+}
+
 python_test() {
        # Disable tests hardcoding function call counts specific to Python 
versions.
        epytest --ignore test/aaa_profiling \

diff --git a/dev-python/sqlalchemy/sqlalchemy-1.4.1.ebuild 
b/dev-python/sqlalchemy/sqlalchemy-1.4.1.ebuild
index f787e64a449..35866923996 100644
--- a/dev-python/sqlalchemy/sqlalchemy-1.4.1.ebuild
+++ b/dev-python/sqlalchemy/sqlalchemy-1.4.1.ebuild
@@ -36,6 +36,13 @@ BDEPEND="
 
 distutils_enable_tests pytest
 
+src_prepare() {
+       # remove optional/partial dep on greenlet, greenlet is not very portable
+       sed -i -e '/greenlet/d' setup.cfg || die
+
+       distutils-r1_src_prepare
+}
+
 python_test() {
        # Disable tests hardcoding function call counts specific to Python 
versions.
        epytest --ignore test/aaa_profiling \

diff --git a/dev-python/sqlalchemy/sqlalchemy-1.4.2.ebuild 
b/dev-python/sqlalchemy/sqlalchemy-1.4.2.ebuild
index f787e64a449..35866923996 100644
--- a/dev-python/sqlalchemy/sqlalchemy-1.4.2.ebuild
+++ b/dev-python/sqlalchemy/sqlalchemy-1.4.2.ebuild
@@ -36,6 +36,13 @@ BDEPEND="
 
 distutils_enable_tests pytest
 
+src_prepare() {
+       # remove optional/partial dep on greenlet, greenlet is not very portable
+       sed -i -e '/greenlet/d' setup.cfg || die
+
+       distutils-r1_src_prepare
+}
+
 python_test() {
        # Disable tests hardcoding function call counts specific to Python 
versions.
        epytest --ignore test/aaa_profiling \

diff --git a/dev-python/sqlalchemy/sqlalchemy-1.4.3.ebuild 
b/dev-python/sqlalchemy/sqlalchemy-1.4.3-r1.ebuild
similarity index 90%
rename from dev-python/sqlalchemy/sqlalchemy-1.4.3.ebuild
rename to dev-python/sqlalchemy/sqlalchemy-1.4.3-r1.ebuild
index f787e64a449..35866923996 100644
--- a/dev-python/sqlalchemy/sqlalchemy-1.4.3.ebuild
+++ b/dev-python/sqlalchemy/sqlalchemy-1.4.3-r1.ebuild
@@ -36,6 +36,13 @@ BDEPEND="
 
 distutils_enable_tests pytest
 
+src_prepare() {
+       # remove optional/partial dep on greenlet, greenlet is not very portable
+       sed -i -e '/greenlet/d' setup.cfg || die
+
+       distutils-r1_src_prepare
+}
+
 python_test() {
        # Disable tests hardcoding function call counts specific to Python 
versions.
        epytest --ignore test/aaa_profiling \

Reply via email to